#26 random wake from sleep

1.2.8
accepted
None
2015-02-05
2014-03-23
Anonymous
No

hi guys. i'm getting this issue on my system. (sabertooth x79 )
my system goes to sleep and wakes up very well. the issue is that it wakes up after some times even if i don't want!
this is what pmset -g assertions gives:

Assertion status system-wide:
BackgroundTask 0
PreventDiskIdle 0
ApplePushServiceTask 0
UserIsActive 0
PreventUserIdleDisplaySleep 0
InteractivePushServiceTask 0
PreventSystemSleep 0
ExternalMedia 1
PreventUserIdleSystemSleep 0
NetworkClientActive 0
Listed by owning process:
pid 113(mds): [0x0000000c00000135] 00:05:07 BackgroundTask named: "com.apple.metadata.mds.power"
pid 17(powerd): [0x000000090000012c] 00:05:15 ExternalMedia named: "com.apple.powermanagement.externalmediamounted"
pid 11(UserEventAgent): [0x0000000c00000136] 00:05:07 BackgroundTask named: "com.apple.metadata.mds.power"
Kernel Assertions: 0xc=USB,BT-HID
id=502 level=255 0x4=USB mod=14/03/14 20:24 description=pci1033,e0 owner=AppleUSBEHCI
id=503 level=255 0x4=USB mod=14/03/14 20:29 description=pci1b21,1042 owner=GenericUSBXHCI
id=505 level=255 0x4=USB mod=14/03/14 20:28 description=pci1033,35 owner=AppleUSBOHCI
id=506 level=255 0x4=USB mod=14/03/14 20:25 description=pci1033,35 owner=AppleUSBOHCI
id=508 level=255 0x4=USB mod=14/03/14 20:24 description=pci1033,194 owner=GenericUSBXHCI
id=509 level=255 0x8=BT-HID mod=01/01/70 01:00 description=com.apple.driver.IOBluetoothHIDDriver owner=BNBTrackpadDevice
id=510 level=255 0x8=BT-HID mod=01/01/70 01:00 description=com.apple.driver.IOBluetoothHIDDriver owner=IOAppleBluetoothHIDDriver

what can i do? obviously if i removed the 2 hard disk connected on my usb3 ports, external media gives me 0.
can i make my system sleeping (without waking from sleep after some minutes)without disconnecting my usb3 disks?

Discussion

  • Zenith432

    Zenith432 - 2014-04-11
    • status: open --> unread
    • assigned_to: Zenith432
     
  • Olaf Marzocchi

    Olaf Marzocchi - 2014-05-03

    I have a similar problem, as explained here:
    http://www.tonymacx86.com/general-help/131501-unwanted-wake-ups-mavericks-wake-reason-xhc.html
    Basically my Dell monitor makes the computer wake up without reason and continuously. The issue did not happen on my old iMac, that however was USB2 and not USB3.
    Let me know if I can provide you with more info.

     
  • Zenith432

    Zenith432 - 2014-05-07
    • status: unread --> accepted
     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous

    Anonymous - 2014-11-06

    i have the same issue. all USB devices disconnected but computer wake up in a seconds,

     
  • Olaf Marzocchi

    Olaf Marzocchi - 2014-11-06

    In my case a faulty USB device (somehow shortcircuited, drawing too much power and then resetting) was causing wake events.

     

Anonymous
Anonymous

Cancel  Add attachments